Last Comment Bug 90271 - yahoo.com - Search results come back in a foreign character set
: yahoo.com - Search results come back in a foreign character set
Status: VERIFIED FIXED
[CHARSET]
:
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: English US (show other bugs)
: unspecified
: x86 All
: P3 normal
: ---
Assigned To: Bob Clary [:bc:]
: Zach Lipton [:zach]
Mentors:
http://launch.yahoo.com/
Depends on:
Blocks: 121228
  Show dependency treegraph
 
Reported: 2001-07-10 22:13 PDT by sadvani
Modified: 2015-04-19 23:39 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description sadvani 2001-07-10 22:13:57 PDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)
BuildID:    2001071004

Enter any search term for a band in the search gadget at the top right of the 
page, and the results come back as garbage, with foreign characters all over 
the page. It's just a stream of junk.

Reproducible: Always
Steps to Reproduce:
1. go to the above URL.
2. Type in a search term for any artist.
3. Click Go.

Actual Results:  The results come back as a complete mess of garbage 
characters, no formatting, as though I was looking at a binary stream of a file 
download that attempted to render in the browser.

Expected Results:  Expected to see formatted search results.
Comment 1 Tuukka Tolvanen (sp3000) 2001-07-11 00:21:49 PDT
It does produce a mess, linux build 2001070921. The page has a <META
http-equiv="Content-Type" content="text/html; charset=UTF-16"> , but the content
isn't UTF-16. Setting View|Character Coding to iso-8859-1 for example, displays
page correctly.
-> evangelism
Comment 2 timeless 2001-07-11 08:51:39 PDT
.
Comment 3 Bob Clary [:bc:] 2001-08-10 18:43:38 PDT
All Evangelism Bugs are now in the Product Tech Evangelism. See bug 86997 for
details.
Comment 4 Bob Clary [:bc:] 2002-01-21 21:25:50 PST
Error: harvest is not defined
Source File: http://search.launch.yahoo.com/lsearch/all?p=dave+mathews
Line: 241

but otherwise looks fine to me => fixed
Comment 5 Brant Gurganus 2002-03-02 12:00:13 PST
Verified
2002022703/WinXP

Note You need to log in before you can comment on or make changes to this bug.